GH-AGENT-TASK-LIST(1)

NAME
gh-agent-task-list - List agent tasks (preview)

SYNOPSIS
gh agent-task list [flags]

OPTIONS

-q, --jq <expression>
    Filter JSON output using a jq expression

--json <fields>
    Output JSON with the specified fields

-L, --limit <int> (default 30)
    Maximum number of agent tasks to fetch

-t, --template <string>
    Format JSON output using a Go template; see "gh help formatting"

-w, --web
    Open agent tasks in the browser

JSON FIELDS
completedAt, createdAt, id, name, pullRequestNumber, pullRequestState, pullRequestTitle, pullRequestUrl, repository, state, updatedAt, user

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

SEE ALSO
gh-agent-task(1)